clc
tspan = [0 4.]; % Range for the independent variable time
y01 = [0; 3.45; 0; 0; 75.]; % 1st Initial values for the dependent variables i.e. Ca,Cb,Cc,Cm,and T
[t,y1]=ode45(@ODEfun,tspan,y01);
y02 = [0; 3.45; 0; 0; 150.]; % 2nd Initial values for the dependent variables i.e. Ca,Cb,Cc,Cm,and T
[t,y2]=ode45(@ODEfun,tspan,y02);
y03 = [0.141; 3.45; 0; 0; 160.]; % 3rd Initial values for the dependent variables i.e. Ca,Cb,Cc,Cm,and T
[t,y3]=ode45(@ODEfun,tspan,y03);
plot(y1(:,5),y1(:,1),y2(:,5),y2(:,1),y3(:,5),y3(:,1))
xlabel('T( ^{o}F)')
ylabel('C_A(lb-mol/ft^3)')
title('Concentration-temperature phase-plane for 3 different initial conditions')
